$(function() {
	$('.topnav a').click(function() {
		location.href = url2 + 'measure.html';
	})
	var orderNo = parseQueryString(location.href).orderNo;
	var maxNUM = 5,
		type = '04',
		toward = [],
		roofType = [],
		d;
	border(); //border
	var dat = {
		orderNo: orderNo
	};
	$('.measureInfo_box>div span:nth-child(2)').css({ 'display': 'inline-block', 'width': '40%' })
	//查询及上传图片
	ajaxpost(url + "sales/getTemplateNo", dat,
		function(data) {
			//查询需要上传的图片类型
			var t = {
				templateNo: data.msg
			};
			//读取影像类型及图片
			readImage(t, type, maxNUM, orderNo, dat);
		},
		function(error) {
			console.log(error);
		})

	//查询信息
	ajaxpost(url + "sales/getProjectSurvey", dat,
		function(data) {
			if(data.data != null) {
				d = data.data;
				//客户姓名
				$('.custName').text(d.custName);
				//客户手机号
				$('.custTel').text(d.custTel);
				//房屋地址
				$('.homeAddr').text(d.instAddr);
				//所在经度、纬度
				$('.latitude').val(d.latitude);
				$('.longitude').val(d.longitude);
				//建筑面积
				$('.buildArea').val(d.buildArea);
				//建筑尺寸-长、宽、高
				$('.buildLength').val(d.buildLength);
				$('.buildWidth').val(d.buildWidth);
				$('.buildHeight').val(d.buildHeight);
				//屋顶面积
				$('.roofArea').val(d.roofArea);
				//承载力判断
				$('.bearing').val(d.bearingCapacity);
				//所属电力公司
				$('.eleCompany').val(d.eleCompany);
				//公司联系人
				$('.companyLinkman').val(d.companyLinkman);
				//公司电话
				$('.officeTel').val(d.companyTel);
				//采集人姓名
				$('.colName').val(d.collecterName);
				//备注信息
				$('.measureRemarks textarea').text(d.comments);

				//周边情况			
				choose($('.carAround'), d.surround, d.surroundOptions, false);
				//环境信息
				choose($('.shade'), d.environment, null, false);
				//是否有爬梯
				choose($('.isLadder'), d.isLadder, null, false);
				//是否有迁移计划
				choose($('.isRemove'), d.isRemove, null, false);
				

				//朝向
				loadOption($('.towards span:nth-child(2)'), toward, d.orientations, d.orientationsOptions)
				//屋顶类型
				loadOption($('.roofType span:nth-child(2)'), roofType, d.roofType, d.roofTypeOptions)
				//载入原类型
				function loadOption(sel, arr, old, d) {
					for(var index in d) {
						arr.push(d[index]);
						if(old == index) {
							sel.text(d[index]).css({
								'color': '#999',
								'fontSize': '0.34rem'
							}).attr('data-option', index);;
						}
					}
				}
				//已上传日期
				if(d.collectTime != '' && d.collectTime != null) {
					$('#date').text(d.collectTime.toString().replace(/^(\d{4})(\d{2})(\d{2})$/, "$1-$2-$3")).css({
						'color': '#999',
						'font-size': '.34rem'
					});
				}
				
				
				//已完成
				if(d.schemeStatus == '01') {
					var mod = $('.mod');  //显示修改标签
					mod.show();
					$('.save_btn').removeClass('show_btn');
					$('.save_btn').hide();
					canMod(false); 
					ajaxpost(url + "sales/orderState", null,
					function(e) {
						for(var e of e.resultList) {
							if(e.orderNo == orderNo) {
								var Phase=e.dealPhase,Result=e.dealResult;
								mod.click(function() {
									if(Phase == '01') {
										if(mod.text() == '修改') {
											$('.mask').css('display', 'block');
											$('.mask_img').hide();
											$('.mask_del').show();
											$('.del_p').text('您确定要修改勘测信息吗？');
											$('.del_ok').click(function() {
												$('.mobileSelect').remove();
												$('.mask_save').remove();
												$(".mask").hide();
												mod.text('保存');
												canMod(true);	
											})
										} else if(mod.text() == '保存') {
											commit(function(isMod){
												console.log(isMod);
												if(isMod==true){
													mod.text('修改');
													canMod(false);
												}
											});
										}
									}else if(Phase == '02'&&Result=='02'){
										$('.zbox').css('display', 'block');
										$('.zbox p').text('该笔订单“厂商审核”未通过，无法修改');
										$('.zbox').on('click', function() {
											$(this).css('display', 'none');
										})
									}else{
										$('.zbox').css('display', 'block');
										$('.zbox p').text('该笔订单“厂商审核”已通过，无法修改');
										$('.zbox').on('click', function() {
											$(this).css('display', 'none');
										})
									}
								});
							}
						}	
					},
					function(data) {
						console.log(data);
						
					});
				} else {
					$('.mod').hide();
					$('.save_btn').show();
					$('.save_btn').addClass('show_btn');
					canMod(true);
					$('.save_btn').click(function(){
						commit(function(isMod){
							console.log(isMod);
//							if(isMod==true){
////								$('.mod').show();
////								canMod(false);
////								$('.save_btn').removeClass('show_btn');
////								$('.save_btn').hide();
//							}
						});
					})	
				}
			}
		},
		function(data) {
			console.log(data);

		}
	)
function commit(callBack){
//	sel.click(function() {
		var data = {
			orderNo: orderNo,
			latitude: $('.latitude').val(), //经纬度
			longitude: $('.longitude').val(),
			surround: $('.carAround span:nth-child(2)').attr('data-option'), //周边情况
			environment: $('.shade span:nth-child(2)').attr('data-option'), //环境信息
			buildArea: $('.buildArea').val(), //建筑面积、长、宽、高
			buildLength: $('.buildLength').val(),
			buildWidth: $('.buildWidth').val(),
			buildHeight: $('.buildHeight').val(),
			isLadder: $('.isLadder span:nth-child(2)').attr('data-option'), //是否有爬梯
			roofType: $('.roofType span:nth-child(2)').attr('data-option'), //屋顶类型
			roofArea: $('.roofArea').val(), //屋顶面积
			orientations: $('.towards span:nth-child(2)').attr('data-option'), //朝向
			isRemove: $('.isRemove span:nth-child(2)').attr('data-option'), //是否拆迁
			bearingCapacity: $('.bearing').val(), //承载力
			eleCompany: $('.eleCompany').val(), //电力公司
			companyLinkman: $('.companyLinkman').val(), //公司联系人、电话
			companyTel: $('.officeTel').val(),
			collecterName: $('.colName').val(), //采集人姓名、时间
			collectTime: $('#date').text(),
			comments: $('.measureRemarks textarea').val() //备注
		};
		//验证必填信息
		var must = $('.must'),
			n = 0;
		for(var i = 0, len = must.length; i < len; i++) {
			var option = must.eq(i).find('span:nth-child(2)');
			var input = must.eq(i).find('input');
			if(option.text() == '车辆是否进入现场' || option.text() == '请选择' || option.text() == '是否有遮挡') {
				option.css({
					'font-size': '.3rem',
					'color': '#FF5743'
				})
				n++;
			}
			if(input.val() == '' || input.text() == 'undefined') {
				input.addClass('place')
				n++;
			}
		}
		//图片是否全部上传
		var imgBox = $('.contract_box'),
			m = 0;
		for(var i = 0, len = imgBox.length; i < len; i++) {
			var imgLen = imgBox.eq(i).find('.contract_image').length;
			if(imgLen < 1) {
				$('.zbox').css('display', 'block');
				$('.zbox p').text('您还有图片未上传');
				$('.zbox').on('click', function() {
					$(this).css('display', 'none');
				})
				m++;
			}
		}

		if(n == 0 && m == 0) {
			ajaxpost(url + "sales/updateProjectSurvey", data,
				function(data) {
					infoTip('您已保存成功！',  false, null);
					callBack(true);
				},
				function(data) {
					console.log(data);
					infoTip('保存失败！', false, null)
				})
		}

//	})
}
	

	//是否可修改
	function canMod(isTrue) {
		if(isTrue) {
			//文字可修改
			$('.measureInfo_box input').removeAttr("disabled", "disabled").css({'color': '#666'});
			$('textarea').removeAttr("disabled", "disabled").css({'color': '#666'});
			$('.measureInfo_box>div').find('span:nth-child(2)').css({'color': '#666'});
			$('.measureInfo_box>div:nth-child(1) span:nth-child(2)').css({'color': '#999'});
			$('.measureInfo_box>div:nth-child(2) span:nth-child(2)').css({'color': '#999'});
			$('.measureInfo_box>div:nth-child(3) span:nth-child(2)').css({'color': '#999'});
			//周边情况			
			choose($('.carAround'), d.surround, d.surroundOptions, true);
			//环境信息
			choose($('.shade'), d.environment, null, true);
			//是否有爬梯
			choose($('.isLadder'), d.isLadder, null, true);
			//是否有迁移计划
			choose($('.isRemove'), d.isRemove, null, true);
			// 朝向与屋顶类型选择
			srcollPick(toward, '.towards span:nth-child(2)', toward[2], d.orientationsOptions)
			srcollPick(roofType, '.roofType span:nth-child(2)', roofType[1], d.roofTypeOptions)
			//默认当天日期
			var date = new Date();
			var dateArr = {
				yy: date.getFullYear(),
				mm: date.getMonth() + 1,
				dd: date.getDate()
			};
			//日期控件
			coltime(dateArr);
			//提示内容字体样式设置
			var pselect = $('.measureInfo_box div span:nth-child(2)');
			for(var i=0;i<pselect.length;i++){
				var textReg=/(请选择|车辆是否进入现场|是否有遮挡)/;
				if(textReg.test(pselect.eq(i).text())){
					pselect.eq(i).css({'font-size':'.3rem','color':'#999'})
				}
			}
			//图片可修改
			$('.close').show();
			var box = $('.contract_box');
			for(var i = 0; i < box.length; i++) {
				var numUp = box.eq(i).find('.contract_image').length;
				var type = box.eq(i).find('input').attr('data-type');
				if(type == '01') {
					maxNUM = 1;
				}
				if(numUp < maxNUM) {
					box.eq(i).find(".file_box").show();
				}
			}
		} else {
			//不可修改状态
			var div=$('.measureInfo_box div'),span=$('.measureInfo_box div span:nth-child(2)');
			$('.mobileSelect').remove();
//			$('.mask_save').remove();
			div.unbind();
			span.unbind();	
//			$('#date').unbind();

			
			$('.measureInfo_box input').attr("disabled", "disabled");
			$('textarea').attr("disabled", "disabled").css({'color': '#999'});
			$('.measureInfo_box>div').find('span:nth-child(2)').css({'color': '#999'});
			$('.close,.file_box').hide();
		}
	}
	//无滑动选择弹出层,选项内容：环境信息、是否有遮挡、是否有爬梯、是否有拆迁计划
	//sel:选择器
	//old:请求数据
	//dat:选择项
	function choose(sel, old, dat, isTrue) {
		if(dat == null) {
			dat = {
				'01': '是',
				'02': '否'
			};
		}
		var type = sel.find('span:nth-child(2)');
		//载入查询到的数据
		if(old != null) {
			for(var index in dat) {
				if(old == index) {
					type.text(dat[index]).attr('data-option', old).css({
						"fontSize": '0.34rem',
						'color': '#999'
					});
					if(isTrue) {
						type.css({
							'color': '#666'
						})
					}
				}
			}
		}
		//可修改时，选择点击触发
		if(isTrue) {
			sel.click(function() {
				$('.options').show();
				$('.types').addClass('enterBottom');
				var html = "";
				for(var index in dat) {
					html += `
						<p class="b types_sel" data-option='${index}'>${dat[index]}</p>
					`
				}
				$('.types_list').html(html);
				//选项卡下划线
				border();
				$('.b:last-child').removeClass('border_1');
				//点击选项
				$('.types_sel').click(function() {
					var text = $(this).text();
					var option = $(this).attr('data-option');
					type.attr('data-option', option).text(text).css({
						"fontSize": '0.34rem',
						'color': '#666'
					});
					//			sessionStorage.setItem('pvmoduleModel'+orderNo,type.text());
					$('.options').hide();
				})
				$(".types_cancle,.typesMask").click(function() {
					$('.options').hide();
				})
			})
		}
	}

	//多类选项滑动控件
	function srcollPick(data, sel, def, d) {
		$.scrEvent({
			data: data,
			evEle: sel,
			title: '',
			defValue: def,
			afterAction: function(data) {
				$(sel).text(data).css({
					'color': '#666',
					'fontSize': '0.34rem'
				});
				for(var index in d) {
					if(data == d[index]) {
						$(sel).attr('data-option', index);
					}
				}
			}
		});
	}

	//日期选择控件
	function coltime(dateArr) {
		$.selectDate("#date", {
			start: 1900,
			end: dateArr.yy,
			select: [dateArr.yy, dateArr.mm, dateArr.dd],
			title: ''
		}, function(data) {
			//			    		pspan($('#date'));
			if(data.month < 10) {
				data.month = '0' + data.month
			}
			if(data.day < 10) {
				data.day = '0' + data.day
			}
			$('#date').text((data.year + "-" + data.month + "-" + data.day)).css({
				'font-size': '.34rem',
				'color': '#666'
			});
		});
	}

})