	//上传图片类别
	var defaults = {
		fileType: ["jpg", "png", "bmp", "jpeg", "PNG", "JPG"],
		// 上传文件的类型
		fileSize: 1024 * 1024 * 10
		// 上传文件的大小 10M
	};
	//查询图片上传类型及显示图片
	//t:影像类别的参数
	//type:影像模块的类别号
	//maxNUM:上传图片最大数量
	//order:查询图片的订单号参数
	function readImage(t,type,maxNUM,orderNo,dat){
		ajaxpost(url + "attachTemp/attachTempInfo", t, 
		function(data) {
//			console.log(data)
			for(var item of data.resultList){
				var html='';
				if(item.type==type){
					html=`<div>
							<p class="title b">${item.name}</p>
							<div class="contract_box">
					            <div class="file_box">
					                <div class="more_image">
					                    <img src="img/plus_sign.png" alt="">
					                    <span>添加照片</span>
					                </div>
					                <input class="file" type="file" name=${item.name} accept="image/\*" multiple data-type=${type}>
					            </div>
					        </div>
						</div>
					`;
				    $('.imageUpload').append(html);
				}	
			}
			//查询已经上传的图片
			ajaxpost(url + "sales/getAccessory", dat, function(data) {
//				console.log(data);
				var data = data.data.resultList;
				var name=$('.imageUpload').find('input');
				for(var i=0;i<name.length;i++){
					for(var d of data){
						if(decodeURI(d.imageName) ==name.eq(i).attr('name')) {
							var container=$(`input[name=${name.eq(i).attr('name')}]`).parents('.contract_box');
							var id = d.imageId;
							var src = d.imagePath;
							var html = `<div class="contract_image">
			                <img class="close close${id}" src="img/close.png" alt="">
			                <img class="loadImg" src=${url}${src} alt="" id="${id}"> `
							container.prepend(html);
							//图片超过上限,上传标志隐藏
							var numUp = container.find('.contract_image').length;
							if(numUp >= maxNUM) {
								container.find(".file_box").hide();
							}
							
							var showBtn=document.querySelector('.show_btn');
							if(showBtn){
								$('.close,.file_box').show();
							}else{
								$('.close,.file_box').hide();
							}
							
							//删除/放大图片
							var cid=container.children('.contract_image').children('.close'+id);		
//							dealImg(container.children('.contract_image').children('.close').attr('id'),orderNo);
							dealImg(cid,orderNo);
						}
					}
				}
			},
			function(data) {
				console.log(data);
			});
			
			if (window.plus) {
			    plusReady();  //iphone
			} else {  
				//plusready:页面加载完之后，自动触发，触发之前，H5+API将不可用,android
			    document.addEventListener('plusready', plusReady,false);
			}
		 
			//扩展 API 准备完成后要执行的操作
			function plusReady() {
			    console.log('plus上传');
			    $('.file').attr('type','text')
			    $('.file').focus(function(){
			    	$(this).blur();
			    })
		    	$('.file').click(function(){
					var _this=$(this);
					showActionSheet(_this,maxNUM,orderNo);
				})
			}
		
			if(!window.plus){
				console.log('file上传');
				$('.file').attr('type','file');
				$('.file').change(function(){
					var _this=$(this);
					ImgUpload(_this,maxNUM,orderNo);
				})
			}
		},
		function(data){
			console.log(data);
		})
	}
	
//app选取图片的来源，拍照和相册  
function showActionSheet(that,maxNUM,orderNo){  
    var actionbuttons=[{title:"拍照"},{title:"相册选取"}];  
    var actionstyle={title:"选择照片",cancel:"取消",buttons:actionbuttons};  
    //actionSheet从屏幕下方点击弹框控件
    plus.nativeUI.actionSheet(actionstyle, function(e){
  		//0:取消，1：拍照，2：相册选取，-1：背景
        if(e.index==1){  
            getImage(that,orderNo,maxNUM);     //拍照
        }else if(e.index==2){  
            galleryImgs(that,orderNo,maxNUM);   //打开相册
        }  
  });  
}

//app相册选择（单选）
function galleryImg(that,orderNo,maxNUM) {  
    plus.gallery.pick( function(p){  
        plus.io.resolveLocalFileSystemURL(p, function(e) {  
//          plusimgLoad(that,orderNo,maxNUM,e.toLocalURL(),1);
            compressImage(that,orderNo,maxNUM,e.toLocalURL(),1)
        }, function(e) {  
            plus.nativeUI.toast("读取拍照文件错误：" + e.message);  
        });  
    }, function ( e ) {  
    }, {  
        filename: "_doc/camera/",  
        filter:"image"  
    } );  
} 
//app相册选取（多选）
function galleryImgs(that,orderNo,maxNUM){
	//Gallery模块管理系统相册，pick:选择图片或视频文件;save:保存图片或视频文件到相册
	plus.gallery.pick( function(e){
		var list=e.files.length;
		var imgContainer = that.parent().parent();
		var numUp = imgContainer.find(".contract_image").length;   
		var totalNum = numUp + list;
		var type=imgContainer.find('input').attr('data-type');
		if(type=='01'){
			maxNUM=1;
		}
		if(list > maxNUM|| totalNum > maxNUM ){
			$('.zbox').css('display', 'block');
			$('.zbox p').text("上传图片数目不可以超过"+maxNUM+"张，请重新选择");
			$('.zbox').on('click', function() {
				$(this).css('display', 'none');
			})
		}else{
			for(var i in e.files){
		    	plus.io.resolveLocalFileSystemURL(e.files[i], function(e) {
	//				plusimgLoad(that,orderNo,maxNUM,e.toLocalURL(),list);
				    compressImage(that,orderNo,maxNUM,e.toLocalURL(),list)
			    }, function(e) {
				    plus.nativeUI.toast("读取相册文件错误：" + e.message);
			    });
	    	}
		}
  		
    }, function ( e ) {
       console.log( "取消选择图片" );
    },{
//     filename: "_doc/camera/",
       filter:"image",
       multiple:true      //只要图片多选
    });  
}

// app拍照  
function getImage(that,orderNo,maxNUM){
	//plus.camera获取摄像头管理对象
    var cmr = plus.camera.getCamera();
    cmr.captureImage(function(p) {
        plus.io.resolveLocalFileSystemURL(p, function(e) {  
            compressImage(that,orderNo,maxNUM,e.toLocalURL(),1)      
//			plusimgLoad(that,orderNo,maxNUM,e.toLocalURL(),1);    //拍照及上传
        }, function(e) {
            plus.nativeUI.toast("读取相册文件错误：" + e.message);
        });
    }, function(e) {
    }, {
        filename: "_doc/camera/",
        index: 1
    });
}


//app-服务器上传方式2
function plusimgLoadc(that,orderNo,maxNUM,imgPath,list){
	//选取的图片信息
	var imgContainer = that.parent().parent(); //存放图片的父元素
	var type=imgContainer.find('input').attr('data-type');
	if(type=='01'){
		maxNUM=1;
	}
	var $section = $("<div class='contract_image loading'>");
    imgContainer.prepend($section);		
	//字段
 	var name=imgContainer.find('input').attr('name');
 	var task = plus.uploader.createUpload(url + "sales/imageUpload", 
		{
			method:"POST",
			priority:100
		},
		function(data, status) {
			if (status == 200) {
				var ms=$.parseJSON($.parseJSON(data.responseText).msg);
				ms.path=url+ms.name;
            	var html='<img class="close close'+ms.id+'" src="img/close.png">'+
            		'<img class="loadImg up-opcity" src='+ms.path+' id='+ms.id+'>';
				$section.append(html);
            	setTimeout(function(){
			        $(".contract_image").removeClass("loading");
				  	$(".loadImg").removeClass("up-opcity");
				},200);
				var c=$('.close'+ms.id);
                dealImg(c,orderNo);
    			imgContainer.find('input').val('');
			} else {
				console.log("上传失败"); 
				$('.zbox').css('display', 'block');
				$('.zbox p').text("网络请求错误，请稍后再试");
				$('.zbox').on('click', function() {
					$(this).css('display', 'none');
				})
				$section.remove();
				imgContainer.find('.file_box').show();
			}
		}
	);
	task.addFile(imgPath,{key:encodeURI(name)});  //添加文件
	task.addData('type',type);
	task.addData('orderNo',orderNo);
	task.start();
    //当图片数量超过限制时，增加图片标志隐藏
	var numUp = imgContainer.find('.contract_image').length;
	if(numUp >= maxNUM){
		imgContainer.find('.file_box').hide();
	}

}
//压缩图片
function compressImage(that,orderNo,maxNUM,imgPath,list){
	plus.zip.compressImage({
			src:imgPath,//src: (String 类型 )压缩转换原始图片的路径
			dst:imgPath,//压缩转换目标图片的路径
			quality:100,//quality: (Number 类型 )压缩图片的质量.取值范围为1-100
			height:1024,//压缩后的尺寸
			overwrite:true//overwrite: (Boolean 类型 )覆盖生成新文件
		},
		function(e) { 
			plusimgLoadc(that,orderNo,maxNUM,e.target,list);
			console.log('width:'+e.width,'height:'+e.height)
		},function(error) {
			plus.nativeUI.toast("压缩图片失败:"+error.message);
			plusimgLoadc(that,orderNo,maxNUM,imgPath,list);
	});
}

//app上传方式1
function plusimgLoad(that,orderNo,maxNUM,imgPath,list){
	//选取的图片信息
	var imgContainer = that.parent().parent(); //存放图片的父元素
	var numUp = imgContainer.find(".contract_image").length;   //现有图片数量长度
	var totalNum = numUp + list;  //总的数量=现有图片+正选取图片数量
	var type=imgContainer.find('input').attr('data-type');
	if(type=='01'){
		maxNUM=1;
	}
	//上传数量超过限制，提醒
	if(list > maxNUM|| totalNum > maxNUM ){
		$('.zbox').css('display', 'block');
		$('.zbox p').text("上传图片数目不可以超过"+maxNUM+"张，请重新选择");
		$('.zbox').on('click', function() {
			$(this).css('display', 'none');
		})
	}else if(numUp < maxNUM){
	 	plusBase64(imgPath, {width:1024,height:1024}, function (base64) {
	 		var $section = $("<div class='contract_image loading'>");
		    imgContainer.prepend($section);
			//字段
		 	var name=imgContainer.find('input').attr('name');
		 	var blob = dataURItoBlob(base64);
			//后台上传图片
			var formData=new FormData();
			formData.append(name,blob);
	        formData.append('orderNo',orderNo);
	        formData.append('type', type);
		    imgpost(url + "sales/imageUpload", formData, 
		        function(data) {
//					console.log(data);					
		            var ms=$.parseJSON(data.msg);
                	ms.path=url+ms.name;
                	var html=`
                		<img class='close close${ms.id}' src="img/close.png">
                		<img class='loadImg up-opcity' src="${ms.path}" id="${ms.id}">
                	`;
					$section.append(html);	                	
                	setTimeout(function(){
				        $(".contract_image").removeClass("loading");
					  	$(".loadImg").removeClass("up-opcity");
					},200);
					var c=$('.close'+ms.id);
		            dealImg(c,orderNo);
//		            dealImg($img.attr('id'),orderNo); 
        			imgContainer.find('input').val('');
		        },
		        function(error){
		        	console.log(error);
		        	$('.zbox').css('display', 'block');
					$('.zbox p').text("网络请求错误，请稍后再试");
					$('.zbox').on('click', function() {
						$(this).css('display', 'none');
					})
					$section.remove();
					imgContainer.find('.file_box').show();
		        });
		    //当图片数量超过限制时，增加图片标志隐藏
			var numUp = imgContainer.find('.contract_image').length;
			if(numUp >= maxNUM){
				imgContainer.find('.file_box').hide();
			}
	   })
	}
}

//app生成base64 obj:压缩文件大小
function plusBase64(imgPath, obj, callBack) {
//	console.log(imgPath)
  	var img = new Image();
    img.src=imgPath;
    img.onload = function () {
        //生成比例     
        var width = img.width, height = img.height;
        if(width>1024||height>1024){
         	if(width>height){
         		var rate=width/obj.width;
         		img.width=obj.width;
         		img.height=height/rate;
         	}else if(height>width){
         		var rate=height/obj.height;
         		img.height=obj.height;
         		img.width=width/rate;
         	}
        }
//      console.log(img.width,img.height)
        //生成canvas
        var canvas = document.createElement("canvas");
        var ctx = canvas.getContext("2d");
        canvas.width = img.width;
        canvas.height = img.height;
        ctx.drawImage(img, 0, 0, img.width, img.height);
        var base64=null;
	    var ctx = canvas.getContext('2d'); 
        base64 = canvas.toDataURL("image/jpeg", 1); 
        callBack(base64);
    };

}
	
//上传图片
function ImgUpload(_this,maxNUM,orderNo,type){
	var file =_this[0].files;
	var len=file.length;
	var imgContainer = _this.parents(".contract_box"); //存放图片的父元素
	var name=imgContainer.find('input').attr('name');
	var type=imgContainer.find('input').attr('data-type');
	var numUp = imgContainer.find(".contract_image").length;
	if(type=='01'){
		maxNUM=1;
	};
	if(numUp+len>maxNUM){
		$('.zbox').css('display', 'block');
		$('.zbox p').text('上传图片数目不可以超过'+maxNUM+'张，请重新选择');
		$('.zbox').on('click', function() {
			$(this).css('display', 'none');
		})
	}else{
		for(var i=0;i<len;i++){
			var loadimgtype=file[i].type.split('/')[1];
			var imgReg=/jpeg|JPEG|JPG|jpg|PNG|png|bmp/;
			if(imgReg.test(loadimgtype)){
				ImgToBase64(file[i], {width:1024,height:1024}, function (base64) {
					var $section = $("<div class='contract_image loading'>");
					imgContainer.prepend($section);
					var blob = dataURItoBlob(base64);
					var formData=new FormData();
					formData.append(name,blob);
					formData.append('orderNo', orderNo);
					formData.append('type', type);
	                //上传图片
	                imgpost(url + "sales/imageUpload", formData, 
				        function(data) {
//					        console.log(data);					
				            var ms=$.parseJSON(data.msg);
		                	ms.path=url+ms.name;
		                	var html='<img class="close close'+ms.id+'" src="img/close.png">'+
				                	'<img class="loadImg up-opcity" src='+ms.path+' id='+ms.id+'>';
		                	$section.append(html);	
		                	setTimeout(function(){
						        $(".contract_image").removeClass("loading");
							  	$(".loadImg").removeClass("up-opcity");
							},200);
//		                    dealImg($img.attr('id'),orderNo); 				       
							var c=$('.close'+ms.id);
				            dealImg(c,orderNo);
                			imgContainer.find('input').val('');		
				        },
				        function(error){
				        	console.log(error);
				        	$('.zbox').css('display', 'block');
							$('.zbox p').text("网络请求错误，请稍后再试");
							$('.zbox').on('click', function() {
								$(this).css('display', 'none');
							})
							$section.remove();
							imgContainer.find('.file_box').show();
				        });
					//当图片数量超过限制时，增加图片标志隐藏
					numUp = imgContainer.find(".contract_image").length;
					if(numUp >= maxNUM) {
						imgContainer.find('.file_box').hide();
					}
				})
			}else{
				$('.zbox').css('display', 'block');
				$('.zbox p').text('上传图片的类型不符合');
				$('.zbox').on('click', function() {
					$(this).css('display', 'none');
				})
			}
		}
	}
}


//生成base64 obj:压缩文件大小
function ImgToBase64(file, obj, callBack) {
	var Orientation = null;
  	var img = new Image();
	if (typeof (FileReader) === 'undefined') {  
        alert("抱歉，你的浏览器不支持 FileReader");  
    }else{ 
    	EXIF.getData(file, function(){ 
            // alert(EXIF.pretty(this));  
            EXIF.getAllTags(this);   
            //alert(EXIF.getTag(this, 'Orientation'));   
            Orientation = EXIF.getTag(this, 'Orientation');  
//          console.log(Orientation);
            //return;  
        }); 
	    var reader = new FileReader();//读取客户端上的文件
	    reader.onload = function () {
	        img.src = reader.result;
	        img.onload = function () {
		        //生成比例         
		        if(file.size/1024>1025){
		         	var width = img.width, height = img.height;
		         	if(width>height){
		         		var rate=width/obj.width;
		         		img.width=obj.width;
		         		img.height=height/rate;
		         	}else if(height>width){
		         		var rate=height/obj.height;
		         		img.height=obj.height;
		         		img.width=width/rate;
		         	}
		        }
		        //生成canvas
		        var canvas = document.createElement("canvas");
		        var ctx = canvas.getContext("2d");
		        canvas.width = img.width;
		        canvas.height = img.height;
		        ctx.drawImage(img, 0, 0, img.width, img.height);
		        var base64=null;
		        var ctx = canvas.getContext('2d');   
		        //调整ios图片  
	            if(navigator.userAgent.match(/iphone/i)) {
	                //如果方向角不为1，都需要进行旋转 added by lzk  
	                if(Orientation != "" && Orientation != 1){
	                    switch(Orientation){  
	                        case 6://需要顺时针（向左）90度旋转  
//                              console.log('iphone需要顺时针（向左）90度旋转');  
                                rotateImg(this,'left',canvas);  
                                break;  
                            case 8://需要逆时针（向右）90度旋转  
//                              console.log('iphone需要顺时针（向右）90度旋转');  
                                rotateImg(this,'right',canvas);  
                                break;  
                            case 3://需要180度旋转  
//                              console.log('iphone需要180度旋转');  
                                rotateImg(this,'180',canvas);
                                break;   
	                    }         
	                }  
		            base64 = canvas.toDataURL("image/jpeg", 1);  
		        } else{
                    if(Orientation != "" && Orientation != 1){  
                        //alert('旋转处理');  
                        switch(Orientation){  
                            case 6://需要顺时针（向左）90度旋转  
//                              console.log('需要顺时针（向左）90度旋转');
                                rotateImg(this,'left',canvas);
                                break;  
                           	case 8://需要逆时针（向右）90度旋转  
//                              console.log('需要顺时针（向右）90度旋转');  
                                rotateImg(this,'right',canvas);  
                                break;  
                            case 3://需要180度旋转  
//                              console.log('需要180度旋转');  
                                rotateImg(this,'180',canvas);
                                break; 
                        }
                    }
                    base64 = canvas.toDataURL("image/jpeg", 1); 
	            }
		        callBack(base64);
	     	};				
	    };  
     	reader.readAsDataURL(file);
 	}	
}
//对iphone图片旋转处理 added by lzk  
function rotateImg(img, direction,canvas) {  
    //最小与最大旋转方向，图片旋转4次后回到原方向    
    var min_step = 0;    
    var max_step = 3;     
    if (img == null)  return;    
    //img的高度和宽度不能在img元素隐藏后获取，否则会出错    
    var height = img.height;    
    var width = img.width;    
    var step = 2;    
    if (step == null) {    
        step = min_step;    
    }    
    if (direction == 'right') {    
        step++;    
        //旋转到原位置，即超过最大值    
        step > max_step && (step = min_step);    
    }else if(direction == 'left'){    
        step--;    
        step < min_step && (step = max_step);    
    }
    //旋转角度以弧度值为参数    
    var degree = step * 90 * Math.PI / 180;    
    var ctx = canvas.getContext('2d');    
    switch (step) {  
        case 1:    
            canvas.width = height;    
            canvas.height = width;    
            ctx.rotate(degree);    
            ctx.drawImage(img, 0,0,width, -height);  
            break;    
        case 2:    
            canvas.width = width;    
            canvas.height = height;    
            ctx.rotate(degree);    
            ctx.drawImage(img,0,0,-width, -height);  
            break;    
        case 3:    
            canvas.width = height;    
            canvas.height = width;    
            ctx.rotate(degree);
            ctx.drawImage(img, 0,0,-width,height);    	
            break;    
    }    
}

//将base64转二进制文件
function dataURItoBlob(dataURI) {
    var byteString = atob(dataURI.split(',')[1]);    //base64编码解码
    var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];
    var ab = new ArrayBuffer(byteString.length);     //生成字节长度的内存区域
    var ia = new Uint8Array(ab);    //8 位无符号整数值的类型化数组
    for (var i = 0; i < byteString.length; i++) {
        ia[i] = byteString.charCodeAt(i);
    }
    return new Blob([ab], {type: mimeString});
}


//删除图片及点击放大图片
function dealImg(imgId,orderNo) {
	var _this;
	imgId.click(function(){
//	$('#' + imgId).prev().click(function(){
		_this=$(this),num=0;
		var close = _this.parent().parent();
		var name=close.find('input').attr('name')
		$('.mask').show();
		$('.mask_img').hide();
		$('.mask_del').show();
		$('.del_p').text('您确定要删此图片吗？');
		$('.del_ok').click(function(){
			if(_this!=null){
				var date = {
			        name:name,
			        id:_this.next().attr('id'),
			        orderNo:orderNo
		       }
				if(num >= 1) {
					num == 0;
				}
				if(num == 0) {
					var that=_this;
					ajaxpost(url + "sales/removeImage", date, function(data) {
						if(data.errorCode==000){
							that.parent().parent().find('.file_box').show();
							that.parent().remove();
						}  
			            $(".mask").hide();
			        },
		            function(data) {
			        	console.log(data);
		            });
				}
				num++;
			}
		})	
	})
	$('.loadImg').click(function() {
		var owidth = $(window).width();
		var oheight = $(document).height();
		var src = $(this).attr('src');
		$('.mask').css('height', oheight).show();
		$('.mask_img').show();
		$('.mask_del').hide();
		if(owidth < oheight) {
			$('.mask img').attr('src', src).css('width', owidth);
		} else {
			$('.mask img').attr('src', src).css('height', oheight);
		}
	})
	$('.mask img,.mask').click(function() {
		$('.mask').hide();
		$('.mask_img').attr('src','');
		_this=null;
	})
}
	



