	//上传图片类别
	var defaults = {
		fileType: ["jpg", "png", "bmp", "jpeg", "PNG", "JPG"],
		// 上传文件的类型
		fileSize: 1024 * 1024 * 10
		// 上传文件的大小 10M
	};
	//查询图片上传类型及显示图片
	//t:影像类别的参数
	//type:影像模块的类别号
	//maxNUM:上传图片最大数量
	//order:查询图片的订单号参数
	function readImage(t,type,maxNUM,orderNo,dat){
		ajaxpost(url + "attachTemp/attachTempInfo", t, 
		function(data) {
			console.log(data)
			for(var item of data.resultList){
				var html='';
				if(item.type==type){
					html=`<div>
							<p class="title b">${item.name}</p>
							<div class="contract_box">
					            <div class="file_box">
					                <div class="more_image">
					                    <img src="img/plus_sign.png" alt="">
					                    <span>添加照片</span>
					                </div>
					                <input class="file" type="file" name=${item.name} accept="image/\*">
					            </div>
					        </div>
						</div>
					`;
				    $('.imageUpload').append(html);
				}	
			}
			//查询已经上传的图片
			ajaxpost(url + "sales/getAccessory", dat, function(data) {
				console.log(data);
				var data = data.data.resultList;
				var name=$('.imageUpload').find('input');
				for(var i=0;i<name.length;i++){
					for(var d of data){
						if(decodeURI(d.imageName) ==name.eq(i).attr('name')) {
							var container=$(`input[name=${name.eq(i).attr('name')}]`).parents('.contract_box');
							var id = d.imageId;
							var src = d.imagePath;
							var html = `<div class="contract_image">
			                <img class="close" src="img/close.png" alt="">
			                <img class="loadImg" src=${url}${src} alt="" id="${id}"> `
							container.prepend(html);
							//图片超过上限,上传标志隐藏
							var numUp = container.find('.contract_image').length;
							if(numUp >= maxNUM) {
								container.find(".file_box").hide();
							}
							//删除/放大图片
							dealImg(container.children('.contract_image').children('.loadImg').attr('id'),orderNo);
						}
					}
				}
			},
			function(data) {
				console.log(data);
			});
			//上传图片
			$('.file').change(function(){
				//选取的图片信息
				var _this=$(this);
				var file = $(this)[0].files;
				var len=file.length;
				var imgContainer = _this.parents(".contract_box"); //存放图片的父元素
				var name=imgContainer.find('input').attr('name');
				numUp = imgContainer.find(".contract_image").length;
				if(numUp+len>maxNUM){
					$('.zbox').css('display', 'block');
					$('.zbox p').text('上传图片数目不可以超过'+maxNUM+'张，请重新选择');
					$('.zbox').on('click', function() {
						$(this).css('display', 'none');
					})
				}else{
					for(var i=0;i<len;i++){
						var loadimgtype=file[i].type.split('/')[1];
						var imgReg=/jpeg|JPEG|JPG|jpg|PNG|png|bmp/;
						if(imgReg.test(loadimgtype)){
							ImgToBase64(file[i], {width:1024,height:1024}, function (base64) {
								var $section = $("<div class='contract_image loading'>");
								imgContainer.prepend($section);
								var $img0 = $("<img class='close'>");
								$img0.attr("src", "img/close.png").appendTo($section);
								var formData=new FormData();
								var blob = dataURItoBlob(base64);
								formData.append(name,blob);
								formData.append('orderNo', orderNo);
								formData.append('type', type);
				                //上传图片
				                imgpost(url + "sales/imageUpload", formData, 
						        function(data) {
	//					        	console.log(data);					
						            var ms=$.parseJSON(data.msg);
				                	ms.path=url+ms.name;
				                	var $img = $("<img class='loadImg up-opcity'>");
									$img.appendTo($section);
						         	$img.attr("src",ms.path);
						         	$img.attr("id",ms.id);		                	
				                	setTimeout(function(){
								        $(".contract_image").removeClass("loading");
									  	$(".loadImg").removeClass("up-opcity");
									},200);
				                    dealImg($img.attr('id'),orderNo); 
	                    			imgContainer.find('input').val('');
						        },function(error){
						        	console.log(error);
						        	$('.zbox').css('display', 'block');
									$('.zbox p').text("网络请求错误，请稍后再试");
									$('.zbox').on('click', function() {
										$(this).css('display', 'none');
									})
									$section.remove();
									imgContainer.find('.file_box').show();
						        });
								//当图片数量超过限制时，增加图片标志隐藏
								numUp = imgContainer.find(".contract_image").length;
								if(numUp >= maxNUM) {
									imgContainer.find('.file_box').hide();
								}
							})
						}else{
							$('.zbox').css('display', 'block');
							$('.zbox p').text('上传图片的类型不符合');
							$('.zbox').on('click', function() {
								$(this).css('display', 'none');
							})
						}
					}
				}
			})
		},
		function(data){
			console.log(data);
		})
	}
	
	//生成base64 obj:压缩文件大小
	function ImgToBase64(file, obj, callBack) {
		var Orientation = null;
      	var img = new Image();
  		if (typeof (FileReader) === 'undefined') {  
            alert("抱歉，你的浏览器不支持 FileReader");  
        }else{ 
	    	EXIF.getData(file, function(){ 
	            // alert(EXIF.pretty(this));  
	            EXIF.getAllTags(this);   
	            //alert(EXIF.getTag(this, 'Orientation'));   
	            Orientation = EXIF.getTag(this, 'Orientation');  
	            console.log(Orientation);
	            //return;  
	        }); 
		    var reader = new FileReader();//读取客户端上的文件
		    reader.onload = function () {
		        img.src = reader.result;
		        img.onload = function () {
			        //生成比例         
			        if(file.size/1024>1025){
			         	var width = img.width, height = img.height;
			         	if(width>height){
			         		var rate=width/obj.width;
			         		img.width=obj.width;
			         		img.height=height/rate;
			         	}else if(height>width){
			         		var rate=height/obj.height;
			         		img.height=obj.height;
			         		img.width=width/rate;
			         	}
			        }
			        //生成canvas
			        var canvas = document.createElement("canvas");
			        var ctx = canvas.getContext("2d");
			        canvas.width = img.width;
			        canvas.height = img.height;
			        
			        ctx.drawImage(img, 0, 0, img.width, img.height);
			        var base64=null;
			        var ctx = canvas.getContext('2d');   
			        //调整ios图片  
		            if(navigator.userAgent.match(/iphone/i)) {
		                //如果方向角不为1，都需要进行旋转 added by lzk  
		                if(Orientation != "" && Orientation != 1){
		                    switch(Orientation){  
		                        case 6://需要顺时针（向左）90度旋转  
	                                console.log('iphone需要顺时针（向左）90度旋转');  
	                                rotateImg(this,'left',canvas);  
	                                break;  
	                            case 8://需要逆时针（向右）90度旋转  
	                                console.log('iphone需要顺时针（向右）90度旋转');  
	                                rotateImg(this,'right',canvas);  
	                                break;  
	                            case 3://需要180度旋转  
	                                console.log('iphone需要180度旋转');  
	                                rotateImg(this,'180',canvas);
	                                break;   
		                    }         
		                }  
			            base64 = canvas.toDataURL("image/jpeg", 1);  
			        } else{
	                    if(Orientation != "" && Orientation != 1){  
	                        //alert('旋转处理');  
	                        switch(Orientation){  
	                            case 6://需要顺时针（向左）90度旋转  
	                                console.log('需要顺时针（向左）90度旋转');
	                                rotateImg(this,'left',canvas);
	                                break;  
	                           	case 8://需要逆时针（向右）90度旋转  
	                                console.log('需要顺时针（向右）90度旋转');  
	                                rotateImg(this,'right',canvas);  
	                                break;  
	                            case 3://需要180度旋转  
	                                console.log('需要180度旋转');  
	                                rotateImg(this,'180',canvas);
	                                break; 
	                        }
	                    }
	                    base64 = canvas.toDataURL("image/jpeg", 1); 
		            }
			        callBack(base64);
		     	};				
		    };  
	     	reader.readAsDataURL(file);
     	}	
 	}
 	//对iphone图片旋转处理 added by lzk  
	function rotateImg(img, direction,canvas) {  
        //最小与最大旋转方向，图片旋转4次后回到原方向    
        var min_step = 0;    
        var max_step = 3;     
        if (img == null)  return;    
        //img的高度和宽度不能在img元素隐藏后获取，否则会出错    
        var height = img.height;    
        var width = img.width;    
        var step = 2;    
        if (step == null) {    
            step = min_step;    
        }    
        if (direction == 'right') {    
            step++;    
            //旋转到原位置，即超过最大值    
            step > max_step && (step = min_step);    
        }else if(direction == 'left'){    
            step--;    
            step < min_step && (step = max_step);    
        }
        //旋转角度以弧度值为参数    
        var degree = step * 90 * Math.PI / 180;    
        var ctx = canvas.getContext('2d');    
        switch (step) {  
            case 1:    
                canvas.width = height;    
                canvas.height = width;    
                ctx.rotate(degree);    
                ctx.drawImage(img, 0,0,width, -height);  
                break;    
            case 2:    
                canvas.width = width;    
                canvas.height = height;    
                ctx.rotate(degree);    
                ctx.drawImage(img,0,0,-width, -height);  
                break;    
            case 3:    
                canvas.width = height;    
                canvas.height = width;    
                ctx.rotate(degree);
                ctx.drawImage(img, 0,0,-width,height);    	
                break;    
        }    
    }
 	
 	//将base64转二进制文件
 	function dataURItoBlob(dataURI) {
	    var byteString = atob(dataURI.split(',')[1]);
	    var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];
	    var ab = new ArrayBuffer(byteString.length);
	    var ia = new Uint8Array(ab);
	    for (var i = 0; i < byteString.length; i++) {
	        ia[i] = byteString.charCodeAt(i);
	    }
	    return new Blob([ab], {type: mimeString});
	}
	

	//删除图片及点击放大图片
	function dealImg(imgId,orderNo) {
		var _this;
		$('#' + imgId).prev().click(function(){
			_this=$(this),num=0;
			var close = _this.parent().parent();
			var name=close.find('input').attr('name')
			$('.mask').show();
			$('.mask_img').hide();
			$('.mask_del').show();
			$('.del_p').text('您确定要删此图片吗？');
			$('.del_ok').click(function(){
				if(_this!=null){
					var date = {
				        name:name,
				        id:_this.next().attr('id'),
				        orderNo:orderNo
			       }
					if(num >= 1) {
						num == 0;
					}
					if(num == 0) {
						var that=_this;
						ajaxpost(url + "sales/removeImage", date, function(data) {
							if(data.errorCode==000){
								that.parent().parent().find('.file_box').show();
								that.parent().remove();
							}  
				            $(".mask").hide();
				        },
			            function(data) {
				        	console.log(data);
			            });
					}
					num++;
				}
			})	
		})
		$('.loadImg').click(function() {
			var owidth = $(window).width();
			var oheight = $(document).height();
			var src = $(this).attr('src');
			$('.mask').css('height', oheight).show();
			$('.mask_img').show();
			$('.mask_del').hide();
			if(owidth < oheight) {
				$('.mask img').attr('src', src).css('width', owidth);
			} else {
				$('.mask img').attr('src', src).css('height', oheight);
			}
		})
		$('.mask img,.mask').on('click', function() {
			$('.mask').hide();
			$('.mask_img').attr('src','');
			_this=null;
		})
	}
	



