	//上传图片类别
	var defaults = {
		fileType: ["jpg", "png", "bmp", "jpeg", "PNG", "JPG"],
		// 上传文件的类型
		fileSize: 1024 * 1024 * 10
		// 上传文件的大小 10M
	};
	//查询图片上传类型及上传图片
	//t:影像类别的参数
	//type:影像模块的类别号
	//maxNUM:上传图片最大数量
	//order:查询图片的订单号参数
	
	function readImage(t,type,maxNUM,orderNo,dat){
		ajaxpost(url + "attachTemp/attachTempInfo", t, 
		function(data) {
			console.log(data);
			for(var item of data.resultList){
				var html='';
				if(item.type==type){
					html=`<div>
							<p class="title b">${item.name}</p>
							<div class="contract_box">
					            <div class="file_box">
					                <div class="more_image">
					                    <img src="img/plus_sign.png" alt="">
					                    <span>添加照片</span>
					                </div>
					                <input id="file" class="file" type="file" name=${item.name} accept="image/*">
					            </div>
					        </div>
						</div>
					`;
				    $('.imageUpload').prepend(html);
				}
				border();
			}
			//查询已经上传的图片
			ajaxpost(url + "sales/getAccessory", dat, function(data) {
				console.log(data);
				var data = data.data.resultList;
				var name=$('.imageUpload').find('input');
				for(var i=0;i<name.length;i++){
					
					for(var d of data){
						if(decodeURI(d.imageName) ==name.eq(i).attr('name')) {
							var container=$(`input[name=${name.eq(i).attr('name')}]`).parents('.contract_box');
							var id = d.imageId;
							var src = d.imagePath;
							var html = `<div class="contract_image">
			                <img class="close" src="img/close.png" alt="">
			                <img class="loadImg" src=${url}${src} alt="" id="${id}"> `
							container.prepend(html);
							//图片超过上限,上传标志隐藏
							var numUp = container.find('.contract_image').length;
							if(numUp >= maxNUM) {
								container.find(".file_box").hide();
							}
							//删除/放大图片
							dealImg(orderNo);
						}
					}
				}
			},
			function(data) {
				console.log(data);
			});
			//上传图片
			$('.file').change(function(){
			//选取的图片信息
			var file = $(this)[0];
			var imgContainer = $(this).parents(".contract_box"); //存放图片的父元素
			var fileList = file.files; //选取的图片文件
			var list = $(this)[0].files.length; //选取图片的数量长度
			//		console.log(fileList+"======filelist=====");
			var input = $(this).parent(); //文本框的父元素
			var numUp = imgContainer.find(".contract_image").length; //现有图片数量长度
			var totalNum = numUp + list; //总的数量=现有图片+正选取图片数量
			//后台传图片
			var formData = new FormData();
			console.log(fileList)
			//上传数量超过限制，提醒
			if(fileList.length > maxNUM || totalNum > maxNUM) {
				alert("上传图片数目不可以超过" + maxNUM + "张，请重新选择");
			} else if(numUp < maxNUM) {
				fileList = validateUp(fileList);
				for(var i = 0; i < fileList.length; i++) {
					var $section = $("<div class='contract_image loading'>");
					imgContainer.prepend($section);
					var $img0 = $("<img class='close'>");
					$img0.attr("src", "img/close.png").appendTo($section);
					var name=imgContainer.find('input').attr('name')
					console.log(name)
					//后台上传图片
					formData.append(name, fileList[i]);
					formData.append('orderNo', orderNo);
					formData.append('type', type);
					imgpost(url + "sales/imageUpload", formData, 
			        function(data) {
			        	console.log(data);
			            var ms=$.parseJSON(data.msg);
	                	ms.path=url+ms.name;
	                	var html='<img class="close" src="img/close.png" alt="">'+           
				                '<img class="loadImg up-opcity" alt="" id='+ms.id+' src='+ms.path+'>';
	                	$section.append(html);
	                	setTimeout(function(){
					        $(".contract_image").removeClass("loading");
						  	$(".loadImg").removeClass("up-opcity");
						},200);
	                    dealImg(orderNo); 
			        },function(error){
			        	console.log(srror)
			        });
				}
			}
			//当图片数量超过限制时，增加图片标志隐藏
			numUp = imgContainer.find(".contract_image").length;
			if(numUp >= maxNUM) {
				imgContainer.find('.file_box').hide();
			}
		})
			
			
		},function(error){
			console.log(error);
		})
	}
		
		
	
	function validateUp(files) {
		var arrFiles = []; //替换的文件数组
		for(var i = 0, file; file = files[i]; i++) {
			//获取文件上传的后缀名
			var newStr = file.name.split("").reverse().join("");
			if(newStr.split(".")[0] != null) {
				var type = newStr.split(".")[0].split("").reverse().join("");
				if(jQuery.inArray(type, defaults.fileType) > -1) {
					// 类型符合，可以上传
					if(file.size >= defaults.fileSize) {
						alert(file.size);
						alert('您这个"' + file.name + '"文件大小过大');
					} else {
						// 在这里需要判断当前所有文件中
						arrFiles.push(file);
					}
				} else {
					alert('您这个"' + file.name + '"上传类型不符合');
				}
			} else {
				alert('您这个"' + file.name + '"没有类型, 无法识别');
			}
		}
		return arrFiles;
	}

	//删除图片及点击放大图片
	function dealImg(orderNo) {
		$('.close').click(function() {
			var _this = $(this);
			var close = _this.parent().parent();
			var name=close.find('input').attr('name')
			var date = {
				name: name,
				id: $(this).next().attr('id'),
				orderNo: orderNo
			}
			$('.mask').css('display', 'block');
			$('.mask_img').hide();
			$('.mask_del').show();
			$('.del_ok').click(function() {
				ajaxpost(url + "customer/removeImage", date, function(data) {
						if(data.errorCode == 000) {
							_this.parent().parent().find('.file_box').show();
							_this.parent().remove();
						}
						$(".mask").hide();
					},
					function(data) {
						console.log(data);
					});
			})

		})
		$('.loadImg').click(function() {
			var owidth = $(window).width();
			var oheight = $(document).height();
			var src = $(this).attr('src');
			$('.mask').css('height', oheight).show();
			$('.mask_img').show();
			$('.mask_del').hide();
			if(owidth < oheight) {
				$('.mask img').attr('src', src).css('width', owidth);
			} else {
				$('.mask img').attr('src', src).css('height', oheight);
			}
		})
		$('.mask img,.mask').on('click', function() {
			$('.mask').hide();
		})
	}
	
	





